VersionInfo (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.VersionInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class VersionInfo

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              net.sf.antcontrib.cpptasks.VersionInfo

    public final class VersionInfo

extends org.apache.tools.ant.types.DataType

Version Information. This information is applied in a platform specific manner to embed version information into executable images. This behavior is new and subject to change. On the Microsoft Windows platform, a resource is generated and added to the set of files to be compiled. A resource compiler must be specified to compile the generated file. On Unix platforms, versioninfo is currently not used. Future versions may append fileversion to the output file name, use compatibility version for -soname and possibly create symbolic links.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VersionInfo()` Constructor.

Method Summary
`void` | `execute()` Methods is required for documentation generation, throws exception if called.
`java.lang.String` | `getCompanyname()` Gets Company name.
`java.lang.String` | `getCompatibilityversion()` Gets compatibility version.
`org.apache.tools.ant.types.Reference` | `getExtends()`
`java.lang.String` | `getFilecomments()` Gets comments.
`java.lang.String` | `getFiledescription()` Gets Description.
`java.lang.String` | `getFileversion()` Gets file version.
`java.lang.String` | `getIf()` Gets if property name.
`java.lang.String` | `getInternalname()` Gets internal name.
`java.lang.String` | `getLanguage()` Gets file language, should be an IETF RFC 3066 identifier, for example, en-US.
`java.lang.String` | `getLegalcopyright()` Gets legal copyright.
`java.lang.String` | `getLegaltrademarks()` Gets legal trademark.
`java.lang.String` | `getOriginalfilename()` Gets original filename.
`java.lang.Boolean` | `getPatched()` Gets patched.
`java.lang.Boolean` | `getPrerelease()` Gets prerelease.
`java.lang.String` | `getPrivatebuild()` Gets private build.
`java.lang.String` | `getProductname()` Gets product name.
`java.lang.String` | `getProductversion()` Gets Product version.
`java.lang.String` | `getSpecialbuild()` Special build
`java.lang.String` | `getUnless()` Gets if property name.
`boolean` | `isActive()` Returns true if the define's if and unless conditions (if any) are satisfied.
`VersionInfo` | `merge()` Returns a VersionInfo that reflects any inherited version information.
`void` | `setCompanyname(java.lang.String value)` Sets company name.
`void` | `setCompatibilityversion(java.lang.String value)` Sets compatibility version.
`void` | `setExtends(org.apache.tools.ant.types.Reference extendsRef)` Specifies that this element extends the element with id attribute with a matching value.
`void` | `setFilecomments(java.lang.String value)` Sets comments.
`void` | `setFiledescription(java.lang.String value)` Sets file description.
`void` | `setFileversion(java.lang.String value)` Sets file version.
`void` | `setId(java.lang.String id)` Sets an id that can be used to reference this element.
`void` | `setIf(java.lang.String propName)` Sets the property name for the 'if' condition.
`void` | `setInternalname(java.lang.String value)` Sets internal name.
`void` | `setLanguage(java.lang.String value)` Sets language.
`void` | `setLegalcopyright(java.lang.String value)` Sets legal copyright.
`void` | `setLegaltrademarks(java.lang.String value)` Sets legal trademark.
`void` | `setOriginalfilename(java.lang.String value)` Sets original name.
`void` | `setPatched(boolean value)` Sets prerelease.
`void` | `setPrerelease(boolean value)` Sets prerelease.
`void` | `setPrivatebuild(java.lang.String value)` Sets private build.
`void` | `setProductname(java.lang.String value)` Sets product name.
`void` | `setProductversion(java.lang.String value)` Sets product version.
`void` | `setRefid(org.apache.tools.ant.types.Reference r)` Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location.
`void` | `setSpecialbuild(java.lang.String value)` Sets private build.
`void` | `setUnless(java.lang.String propName)` Set the property name for the 'unless' condition.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionInfo

    public VersionInfo()

  Constructor.

Method Detail

### merge

    public VersionInfo merge()

  Returns a VersionInfo that reflects any inherited version information.

  Returns:
    merged version information.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Methods is required for documentation generation, throws exception if called.

  Throws:
    `org.apache.tools.ant.BuildException` - if called

### isActive

    public final boolean isActive()
                           throws org.apache.tools.ant.BuildException

  Returns true if the define's if and unless conditions (if any) are satisfied.

  Throws:
    `org.apache.tools.ant.BuildException` - throws build exception if name is not set

### setId

    public void setId(java.lang.String id)

  Sets an id that can be used to reference this element.

  Parameters:
    `id` - id

### getExtends

    public org.apache.tools.ant.types.Reference getExtends()

### setExtends

    public void setExtends(org.apache.tools.ant.types.Reference extendsRef)
                    throws org.apache.tools.ant.BuildException

  Specifies that this element extends the element with id attribute with a matching value. The configuration will be constructed from the settings of this element, element referenced by extends, and the containing cc element.

  Parameters:
    `extendsRef` - Reference to the extended processor definition.
  Throws:
    `org.apache.tools.ant.BuildException` - if this processor definition is a reference

### getIf

    public final java.lang.String getIf()

  Gets if property name.

  Returns:
    property name, may be null.

### setIf

    public final void setIf(java.lang.String propName)

  Sets the property name for the 'if' condition. The define will be ignored unless the property is defined. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") will throw an exception when evaluated.

  Parameters:
    `propName` - property name

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference r)
                  throws org.apache.tools.ant.BuildException

  Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location. If specified, no other attributes should be specified.

  Overrides:
    `setRefid` in class `org.apache.tools.ant.types.DataType`
  Throws:
    `org.apache.tools.ant.BuildException`

### getUnless

    public final java.lang.String getUnless()

  Gets if property name.

  Returns:
    property name, may be null.

### setUnless

    public final void setUnless(java.lang.String propName)

  Set the property name for the 'unless' condition. If named property is set, the define will be ignored. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") of the behavior will throw an exception when evaluated.

  Parameters:
    `propName` - name of property

### getFileversion

    public java.lang.String getFileversion()

  Gets file version.

  Returns:
    file version, may be null.

### getProductversion

    public java.lang.String getProductversion()

  Gets Product version.

  Returns:
    product version, may be null

### getCompatibilityversion

    public java.lang.String getCompatibilityversion()

  Gets compatibility version.

  Returns:
    compatibility version, may be null

### getLanguage

    public java.lang.String getLanguage()

  Gets file language, should be an IETF RFC 3066 identifier, for example, en-US.

  Returns:
    language, may be null.

### getFilecomments

    public java.lang.String getFilecomments()

  Gets comments.

  Returns:
    comments, may be null.

### getCompanyname

    public java.lang.String getCompanyname()

  Gets Company name.

  Returns:
    company name, may be null.

### getFiledescription

    public java.lang.String getFiledescription()

  Gets Description.

  Returns:
    description, may be null.

### getInternalname

    public java.lang.String getInternalname()

  Gets internal name.

  Returns:
    internal name, may be null.

### getLegalcopyright

    public java.lang.String getLegalcopyright()

  Gets legal copyright.

  Returns:
    legal copyright, may be null.

### getLegaltrademarks

    public java.lang.String getLegaltrademarks()

  Gets legal trademark.

  Returns:
    legal trademark, may be null;

### getOriginalfilename

    public java.lang.String getOriginalfilename()

  Gets original filename.

  Returns:
    original filename, may be null.

### getPrivatebuild

    public java.lang.String getPrivatebuild()

  Gets private build.

  Returns:
    private build, may be null.

### getPrerelease

    public java.lang.Boolean getPrerelease()

  Gets prerelease.

  Returns:
    prerelease, may be null.

### getPatched

    public java.lang.Boolean getPatched()

  Gets patched.

  Returns:
    patched, may be null.

### getProductname

    public java.lang.String getProductname()

  Gets product name.

  Returns:
    product name, may be null.

### getSpecialbuild

    public java.lang.String getSpecialbuild()

  Special build

  Returns:
    special build, may be null.

### setFileversion

    public void setFileversion(java.lang.String value)
                        throws org.apache.tools.ant.BuildException

  Sets file version.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setProductversion

    public void setProductversion(java.lang.String value)
                           throws org.apache.tools.ant.BuildException

  Sets product version.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setCompatibilityversion

    public void setCompatibilityversion(java.lang.String value)
                                 throws org.apache.tools.ant.BuildException

  Sets compatibility version.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setLanguage

    public void setLanguage(java.lang.String value)
                     throws org.apache.tools.ant.BuildException

  Sets language.

  Parameters:
    `value` - new value, should be an IETF RFC 3066 language identifier.
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setFilecomments

    public void setFilecomments(java.lang.String value)
                         throws org.apache.tools.ant.BuildException

  Sets comments.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setFiledescription

    public void setFiledescription(java.lang.String value)

  Sets file description.

  Parameters:
    `value` - new value

### setCompanyname

    public void setCompanyname(java.lang.String value)
                        throws org.apache.tools.ant.BuildException

  Sets company name.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setInternalname

    public void setInternalname(java.lang.String value)
                         throws org.apache.tools.ant.BuildException

  Sets internal name. Internal name will automatically be specified from build step, only set this value if intentionally overriding that value.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setLegalcopyright

    public void setLegalcopyright(java.lang.String value)
                           throws org.apache.tools.ant.BuildException

  Sets legal copyright.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setLegaltrademarks

    public void setLegaltrademarks(java.lang.String value)
                            throws org.apache.tools.ant.BuildException

  Sets legal trademark.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setOriginalfilename

    public void setOriginalfilename(java.lang.String value)
                             throws org.apache.tools.ant.BuildException

  Sets original name. Only set this value if intentionally overriding the value from the build set.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setPrivatebuild

    public void setPrivatebuild(java.lang.String value)
                         throws org.apache.tools.ant.BuildException

  Sets private build.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setPrerelease

    public void setPrerelease(boolean value)
                       throws org.apache.tools.ant.BuildException

  Sets prerelease.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setPatched

    public void setPatched(boolean value)
                    throws org.apache.tools.ant.BuildException

  Sets prerelease.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setProductname

    public void setProductname(java.lang.String value)
                        throws org.apache.tools.ant.BuildException

  Sets product name.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

### setSpecialbuild

    public void setSpecialbuild(java.lang.String value)
                         throws org.apache.tools.ant.BuildException

  Sets private build.

  Parameters:
    `value` - new value
  Throws:
    `org.apache.tools.ant.BuildException` - if specified with refid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.